Package org.kapott.hbci.GV_Result

# Class GVRCardList.CardInfo

java.lang.Object
org.kapott.hbci.GV_Result.GVRCardList.CardInfo

Enclosing class:
  GVRCardList

public static class GVRCardList.CardInfo extends Object
Informationen über genau eine Karte

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`cardnumber`
Kartennummer
`String`
`cardordernumber`
Kartenfolgenummer (optional)
`int`
`cardtype`
Kartenart aus den BPD
`String`
`comment`
Bemerkungen (optional)
`Value`
`limit`
Kartenlimit (optional)
`String`
`owner`
Name des Karteninhabers (optional)
`Date`
`validFrom`
Karte gültig von (optional)
`Date`
`validUntil`
Karte gültig bis (optional)

## Constructor Summary

Constructors
Constructor
Description
`CardInfo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### cardtype

public int cardtype
Kartenart aus den BPD

### cardnumber

public String cardnumber
Kartennummer

### cardordernumber

public String cardordernumber
Kartenfolgenummer (optional)

### owner

public String owner
Name des Karteninhabers (optional)

### validFrom

public Date validFrom
Karte gültig von (optional)

### validUntil

public Date validUntil
Karte gültig bis (optional)

### limit

public Value limit
Kartenlimit (optional)

### comment

public String comment
Bemerkungen (optional)

## Constructor Details

### CardInfo

public CardInfo()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`